=== debian/changelog ===
gtk4 (4.6.9+ds-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * No-change rebuild in the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 May 2024 17:32:05 -0400

gtk4 (4.6.9+ds-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream release (LP: #2028005)
  * debian/gbp.conf: Use upstream/4.6.x for upstream branch
  * debian/patches: Refresh git indexes
  * debian/patches: Properly handle gtk scale adjustment property (LP: #2027986)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 17 Jul 2023 19:53:19 +0200

gtk4 (4.6.6+ds-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980742)
  * Build-Depend on dh-sequence-translations
    - Needed to fix missing translations and RTL support (LP: #1947698)
  * debian/rules: Handle the second translation template for dh-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Jul 2022 14:21:19 -0400

gtk4 (4.6.5+ds-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1976500)
     - Fixes file chooser getting bigger each time it opens (LP: #1971112)
  * Build-Depend on gi-docgen
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Jun 2022 11:36:03 -0400

gtk4 (4.6.3+ds1-0ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * New upstream bugfix release (LP: #1973219)
  * Cherry-pick additional bug fixes:
    - Fix text view scrolling with mutter 42.1 (LP: #1972722)
    - Work around infinite loop in box allocation (Closes: #1010547)
    - Make it easier to select the current folder with a file chooser
    - Fix saving into a subdirectory with a file chooser
    - Fix an invalid format string with EGL support

  [ Simon McVittie ]
  * d/log-reftests.py: Update names of GSK renderers
  * d/rules, d/run-tests.sh: Add infrastructure to ignore failing GSK tests
  * Ignore unaligned-offscreen GSK comparison test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 May 2022 11:41:48 -0400

gtk4 (4.6.2+ds-1ubuntu3) jammy; urgency=medium

  * Cherry-pick filechooser-Small-fix-for-save-mode.patch:
    Fix saving files to a folder that doesn't have any files in it
    (LP: #1969622)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 20 Apr 2022 09:37:57 -0400
