=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-translations,
                docbook-xml,
                docbook-xsl,
@@ -19,6 +20,7 @@
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
                libavcodec-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavdevice-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libavfilter-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libavformat-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libavutil-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
@@ -28,27 +30,28 @@
                libcups2-dev (>= 2.0),
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libfribidi-dev (>= 0.19.7),
                libgdk-pixbuf-2.0-dev (>= 2.30.0),
                libgirepository1.0-dev (>= 1.39.0),
-               libglib2.0-dev (>= 2.66.0),
+               libglib2.0-dev (>= 2.68.0),
                libgraphene-1.0-dev (>= 1.10.4~),
                libgstreamer1.0-dev (>= 1.12.3),
                libgstreamer-plugins-bad1.0-dev (>= 1.12.3),
-               libharfbuzz-dev (>= 2.1.0),
+               libharfbuzz-dev (>= 2.6.0),
                libjpeg-dev,
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.50.0),
                libpng-dev,
                libpolkit-gobject-1-dev (>= 0.105) [linux-any],
-               librsvg2-common <!nocheck>,
-               librsvg2-dev (>= 2.52.0),
+               librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
+               librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
+               libswresample-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libswscale-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libtiff-dev,
                libvulkan-dev [linux-any],
-               libwayland-dev (>= 1.20.0) [linux-any],
+               libwayland-dev (>= 1.21.0) [linux-any],
                libx11-dev,
                libxcomposite-dev,
                libxcursor-dev,
@@ -65,31 +68,25 @@
                meson (>= 0.59),
                pkg-config,
                python3-docutils <!nodoc>,
-               python3-gi (>= 3.40) <!nocheck>,
+               python3-gi (>= 3.40),
                sassc,
                ttf-bitstream-vera <!nocheck>,
-               wayland-protocols (>= 1.23) [linux-any],
+               wayland-protocols (>= 1.25) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>,
-Build-Depends-Indep: libcairo2-doc,
-                     gi-docgen,
-                     libglib2.0-doc,
-                     libpango1.0-doc,
+Build-Depends-Indep: gi-docgen <!nodoc>,
+                     libcairo2-doc <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libpango1.0-doc <!nodoc>,
                      pandoc,
-                     python3 (>= 3.6) <!nodoc>,
-                     python3-jinja2 <!nodoc>,
-                     python3-markdown <!nodoc>,
-                     python3-pygments <!nodoc>,
-                     python3-toml <!nodoc>,
-                     python3-typogrify <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4/-/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git -b ubuntu/master
 Homepage: https://www.gtk.org/
 
 Package: libgtk-4-1
@@ -179,7 +176,7 @@
          libcairo2-dev (>= 1.14.0),
          libegl1-mesa-dev [linux-any],
          libepoxy-dev (>= 1.0),
-         libfontconfig1-dev,
+         libfontconfig-dev,
          libgdk-pixbuf-2.0-dev (>= 2.30.0),
          libglib2.0-dev (>= 2.66.0),
          libgraphene-1.0-dev (>= 1.9.1),
@@ -270,7 +267,7 @@
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version})
 Recommends: fonts-cantarell,
-            librsvg2-common (>= 2.52.0),
+            librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
 Description: example files for GTK 4
  GTK is a multi-platform toolkit for creating graphical user
  interfaces. Offering a complete set of widgets, GTK is suitable
@@ -285,7 +282,7 @@
 Section: x11
 Architecture: any
 Depends: iso-codes,
-         librsvg2-common (>= 2.52.0),
+         librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-4-1 (= ${binary:Version}),
@@ -311,12 +308,3 @@
 Breaks: python-gi (<< 3.18),
         python3-gi (<< 3.18)
 Provides: gir1.2-gdk-4.0 (= ${binary:Version}),
-          gir1.2-gdkwayland-4.0 (= ${binary:Version}) [linux-any],
-          gir1.2-gdkx11-4.0 (= ${binary:Version}),
-          gir1.2-gsk-4.0 (= ${binary:Version})
-Description: GTK graphical user interface library -- gir bindings
- GTK is a multi-platform toolkit for creating graphical user
- interfaces. Offering a complete set of widgets, GTK is suitable
- for projects ranging from small one-off tools to complete application
- suites.
- .
