=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 export TESTS_PKG := gtk-$(APIVER)-tests
 
 # files larger than 4k in size will be compressed by dh_compress
+
 # so append a .gz suffix to avoid dangling symlinks
 export README_MD_MAYBE_GZ := README.md$(shell find -maxdepth 1 -size +4k -name README.md -exec echo ".gz" \;)
 
@@ -80,7 +81,7 @@
 
 configure_flags_deb = \
 	-Dauto_features=enabled \
-	-Dbroadway-backend=false \
+	-Dbroadway-backend=true \
 	-Dx11-backend=true \
 	${NULL}
 
@@ -217,6 +218,12 @@
 test_timeout_multiplier = 20
 endif
 
+ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+$(info Disabling use of llvmpipe due to mips family CPU, see https://bugs.debian.org/993550)
+export GALLIUM_DRIVER=softpipe
+export LIBGL_ALWAYS_SOFTWARE=true
+endif
+
 fuzzy_gsk_compare = \
 	$(NULL)
 
@@ -252,28 +259,22 @@
 	skipped_suites += \
 		gsk-compare-broadway \
 		gsk-compare-gl \
-		gsk-compare-ngl \
 		$(NULL)
 endif
 
 override_dh_auto_test:
-	set -e; for backend in $(test_backends); do \
-		env BUILDDIR=debian/build/deb \
-			FUZZY_GSK_COMPARE="$(fuzzy_gsk_compare)" \
-			FUZZY_REFTESTS="$(fuzzy_reftests)" \
-			IGNORE_GSK_COMPARE="$(ignore_gsk_compare)" \
-			IGNORE_REFTESTS="$(ignore_reftests)" \
-			XFAIL_GSK_COMPARE="$(xfail_gsk_compare)" \
-			XFAIL_REFTESTS="$(xfail_reftests)" \
-			BACKEND=$$backend \
-				debian/run-tests.sh -t $(test_timeout_multiplier) \
-					$(addprefix --no-suite=,$(skipped_suites)); \
-	done
+	env \
+		BUILDDIR=debian/build/deb \
+		FUZZY_GSK_COMPARE="$(fuzzy_gsk_compare)" \
+		FUZZY_REFTESTS="$(fuzzy_reftests)" \
+		IGNORE_GSK_COMPARE="$(ignore_gsk_compare)" \
+		IGNORE_REFTESTS="$(ignore_reftests)" \
+		XFAIL_GSK_COMPARE="$(xfail_gsk_compare)" \
+		XFAIL_REFTESTS="$(xfail_reftests)" \
+		BACKENDS="$(test_backends)" \
+	debian/run-tests.sh -t $(test_timeout_multiplier) \
+		$(addprefix --no-suite=,$(skipped_suites)) \
+		$(NULL)
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
-ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_auto_install --builddirectory=debian/build/udeb --destdir=debian/install/udeb
-endif
-
-override_dh_install:
