=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-translations,
                docbook-xml,
                docbook-xsl,
                dpkg-dev (>= 1.17.14),
@@ -65,7 +63,7 @@
                libxml2-utils,
                libxrandr-dev (>= 2:1.5.0),
                locales <!nocheck> | locales-all <!nocheck>,
-               meson (>= 0.59),
+               meson (>= 0.60),
                pkg-config,
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40),
@@ -83,10 +81,8 @@
                      pandoc,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4/tree/ubuntu/master
-Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
+Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
 Homepage: https://www.gtk.org/
 
 Package: libgtk-4-1
@@ -308,3 +304,9 @@
 Breaks: python-gi (<< 3.18),
         python3-gi (<< 3.18)
 Provides: gir1.2-gdk-4.0 (= ${binary:Version}),
+          gir1.2-gdkwayland-4.0 (= ${binary:Version}) [linux-any],
+          gir1.2-gdkx11-4.0 (= ${binary:Version}),
+          gir1.2-gsk-4.0 (= ${binary:Version})
+Description: GTK graphical user interface library -- gir bindings
+ GTK is a multi-platform toolkit for creating graphical user
+ interfaces. Offering a complete set of widgets, GTK is suitable
