=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 export TESTS_PKG := gtk-$(APIVER)-tests
 
 # files larger than 4k in size will be compressed by dh_compress
-
 # so append a .gz suffix to avoid dangling symlinks
 export README_MD_MAYBE_GZ := README.md$(shell find -maxdepth 1 -size +4k -name README.md -exec echo ".gz" \;)
 
@@ -253,6 +252,11 @@
 skipped_suites = \
 	$(NULL)
 
+# https://bugs.debian.org/1024391
+ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
+	ignore_reftests += border-image-excess-size
+endif
+
 # TODO: Known failures: https://gitlab.gnome.org/GNOME/gtk/-/issues/4110
 # s390x: many (endianness?)
 ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
@@ -276,5 +280,3 @@
 		$(addprefix --no-suite=,$(skipped_suites)) \
 		$(NULL)
 
-override_dh_auto_install:
-	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
